import QtQuick 1.1
import com.nokia.meego 1.0

import "../Common"
import "../Sheets"

Page {
    id: about

    tools: commonTools

    orientationLock: PageOrientation.LockPortrait


    // ------------- Header Start ----------------

        Header {
            id: aboutPageHeader
            text: qsTr("About")
        }

    // ------------- Header End ----------------


    Image {
        id: ocnewsLogo
        anchors { horizontalCenter: parent.horizontalCenter; top: parent.top; topMargin: 120 }
        asynchronous: true
        width: 256
        height: 256
        sourceSize.width: 256
        sourceSize.height: 256
        source: "/opt/ocNews/images/ocNews256.png"
    }

    Label {
        id: labelName
        anchors { horizontalCenter: parent.horizontalCenter; top: ocnewsLogo.bottom; topMargin: 5 }
        textFormat: Text.PlainText
        text: "ocNews 1.2.3"
    }

    Text {
        id: description
        anchors { horizontalCenter: parent.horizontalCenter; top: labelName.bottom; topMargin: 5 }
        text: qsTr("The ownCloud News App client for Harmattan")
        width: parent.width
        font.pointSize: 17
        font.weight: Font.Light
        wrapMode: Text.WordWrap
        horizontalAlignment: Text.AlignHCenter
        textFormat: Text.PlainText
        color: theme.inverted ? "white" : "black"
    }

    Text {
        id: copyright
        anchors { horizontalCenter: parent.horizontalCenter; top: description.bottom; topMargin: 5 }
        font.pointSize: 17
        font.weight: Font.Light
        text: "© 2013, Buschtrommel"
        textFormat: Text.PlainText
        color: theme.inverted ? "white" : "black"
    }

    Text {
        id: license
        anchors { horizontalCenter: parent.horizontalCenter; top: copyright.bottom; topMargin: 5 }
        font.pointSize: 17
        font.weight: Font.Light
        text: qsTr("Licensed under the GNU GPL v2")
        textFormat: Text.PlainText
        color: theme.inverted ? "white" : "black"
    }

    Button {
        id: privacyPolicyButton
        anchors { horizontalCenter: parent.horizontalCenter; top: license.bottom; topMargin: 30 }
        text: qsTr("Privacy policy")
        onClicked: {
            aboutPrivacySheet.policy = configuration.getSetting("display/privacypolicy", false) == "true" ? true : false;
            aboutPrivacySheet.open();
        }
    }

    Button {
        id: websiteLink
        anchors { horizontalCenter: parent.horizontalCenter; top: privacyPolicyButton.bottom; topMargin: 10 }
        text: "ocnews.buschmann23.de"
        onClicked: Qt.openUrlExternally("http://ocnews.buschmann23.de")
    }

    Button {
        id: licenseLink
        anchors { horizontalCenter: parent.horizontalCenter; top: websiteLink.bottom; topMargin: 10 }
        text: "GNU GPL v2"
        onClicked: Qt.openUrlExternally(qsTr("http://www.gnu.org/licenses/gpl-2.0.en.html"))
    }


    PrivacySheet {
        id: aboutPrivacySheet
    }

}
